Table of Contents

Class: TOC | Twisted-0.19.0/twisted/protocols/toc.py
--- | ---
Base Classes |
--- | ---
protocol.Protocol
Methods |
--- | ---
_debug authorize buddyUpdate canContact chatInvite chatJoin chatLeave chatMessage chatUserUpdate chatWhisper connectionLost connectionMade dataReceived evilFrom getStatus hearWhisper | isFlap modeConnected modeFlapon modeSignon modeTocSignon readFlap sendError sendFlap toc_add_buddy toc_add_deny toc_add_permit toc_change_passwd toc_chat_accept toc_chat_invite toc_chat_join toc_chat_leave | toc_chat_send toc_chat_whisper toc_evil toc_format_nickname toc_get_info toc_init_done toc_remove_buddy toc_send_im toc_set_away toc_set_config toc_set_idle toc_set_info toc_unknown updateUsers
| _debug
    _debug ( self,  data )
| authorize
    authorize (
            self,
            server,
            port,
            username,
            password,
            )
| buddyUpdate
    buddyUpdate ( self,  user )
Update the buddy. Called from updateUsers()
| canContact
    canContact ( self,  user )
| chatInvite
    chatInvite (
            self,
            room,
            user,
            message,
            )
| chatJoin
    chatJoin ( self,  room )
| chatLeave
    chatLeave ( self,  room )
| chatMessage
    chatMessage (
            self,
            room,
            user,
            message,
            )
| chatUserUpdate
    chatUserUpdate (
            self,
            room,
            user,
            )
| chatWhisper
    chatWhisper (
            self,
            room,
            user,
            message,
            )
| connectionLost
    connectionLost ( self )
| connectionMade
    connectionMade ( self )
| dataReceived
    dataReceived ( self,  data )
| evilFrom
    evilFrom ( self,  user )
| getStatus
    getStatus ( self,  user )
| hearWhisper
    hearWhisper (
            self,
            user,
            data,
            auto=0,
            )
Called when you get an IM. If auto=1, it's an autoreply from an away message.
| isFlap
    isFlap ( self )
tests to see if a flap is actually on the buffer
| modeConnected
    modeConnected ( self )
Exceptions |
--- | ---
TOCParseError
| modeFlapon
    modeFlapon ( self )
Exceptions |
--- | ---
TOCParseError
| modeSignon
    modeSignon ( self )
Exceptions |
--- | ---
TOCParseError
| modeTocSignon
    modeTocSignon ( self )
Exceptions |
--- | ---
TOCParseError
| readFlap
    readFlap ( self )
read the first FLAP off self._buf, raising errors if it isn't in the right form. the FLAP is the basic TOC message format, and is logically equivilant to a packet in TCP
Exceptions |
--- | ---
TOCParseError
| sendError
    sendError (
            self,
            code,
            *varargs,
            )
send an error to the user. listing of error messages is below.
| sendFlap
    sendFlap (
            self,
            type,
            data,
            )
send a FLAP to the client
| toc_add_buddy
    toc_add_buddy ( self,  data )
### adds users to the buddy list toc_add_buddy <buddyname1> [<buddyname2>] [<buddyname3>]...
| toc_add_deny
    toc_add_deny ( self,  data )
adds users to the deny list. if the list is null, then set the mode to PERMITALL
| toc_add_permit
    toc_add_permit ( self,  data )
adds users to the permit list. if the list is null, then set the mode to DENYALL
| toc_change_passwd
    toc_change_passwd ( self,  data )
| toc_chat_accept
    toc_chat_accept ( self,  data )
### accept an invitation. toc_chat_accept <room id>
| toc_chat_invite
    toc_chat_invite ( self,  data )
### invite others to the room. toc_chat_invite <room id> <invite message> <buddy 1> [<buddy2>]...
| toc_chat_join
    toc_chat_join ( self,  data )
### joins the chat room. toc_chat_join <exchange> <room name>
| toc_chat_leave
    toc_chat_leave ( self,  data )
### leave the room. toc_chat_leave <room id>
| toc_chat_send
    toc_chat_send ( self,  data )
### send a message to the chat room. toc_chat_send <room id> <message>
| toc_chat_whisper
    toc_chat_whisper ( self,  data )
| toc_evil
    toc_evil ( self,  data )
### warns a user. toc_evil <username> <anon|norm>
| toc_format_nickname
    toc_format_nickname ( self,  data )
### change the format of your nickname. toc_format_nickname <new format>
| toc_get_info
    toc_get_info ( self,  data )
### get the user info for a user toc_get_info <username>
| toc_init_done
    toc_init_done ( self,  data )
### called when all the setup is done. toc_init_done
| toc_remove_buddy
    toc_remove_buddy ( self,  data )
### removes users from the buddy list toc_remove_buddy <buddyname1> [<buddyname2>] [<buddyname3>]...
| toc_send_im
    toc_send_im ( self,  data )
### incoming instant message toc_send_im <screenname> <quoted message> [auto]
| toc_set_away
    toc_set_away ( self,  data )
### set/unset away message toc_set_away [<away message>]
Exceptions |
--- | ---
TOCParseError
| toc_set_config
    toc_set_config ( self,  data )
### set the saved config. this gets send when you log in. toc_set_config <config>
| toc_set_idle
    toc_set_idle ( self,  data )
### set/unset idle toc_set_idle <seconds>
| toc_set_info
    toc_set_info ( self,  data )
### set the users information, retrivable with toc_get_info toc_set_info <user info (quoted)>
| toc_unknown
    toc_unknown (
            self,
            tocname,
            data,
            )
| updateUsers
    updateUsers ( self )
Update the users who have us on their buddylist. Called when the user changes anything (idle,away) so people can get updates.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:57 2002 by HappyDoc version 2.0